com.brightcove.player.captioning

## Class LoadCaptionsService

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.captioning.LoadCaptionsService

- All Implemented Interfaces:
    Component

      @ListensFor(events={})
       @Emits(events={})
      public class LoadCaptionsService
      extends AbstractComponent

  Provides a simple interface to load and parse caption documents.

- - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadCaptionsService(EventEmitter emitter, android.content.ContentResolver contentResolver)` The LoadCaptionsService requires an EventEmitter to notify when the Captions are loaded.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loadCaptions(android.net.Uri uri, java.lang.String mimeType)` Asynchronously loads and parses the captions file located at the given Uri.

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadCaptionsService

          public LoadCaptionsService(EventEmitter emitter,
                                     android.content.ContentResolver contentResolver)

      The LoadCaptionsService requires an EventEmitter to notify when the Captions are loaded.

  - ### Method Detail

    - #### loadCaptions

          public void loadCaptions(android.net.Uri uri,
                                   java.lang.String mimeType)

      Asynchronously loads and parses the captions file located at the given Uri.
      Parameters:
        `uri` - The Uri of the captions file to load.
        `mimeType` - The mime type of the captions.